// DICOMcmDlg.h : header file
//
//{{AFX_INCLUDES()
#include "dicomc.h"
//}}AFX_INCLUDES

#if !defined(AFX_DICOMCMDLG_H__71512FBA_F010_4087_9416_50A4A596BDC7__INCLUDED_)
#define AFX_DICOMCMDLG_H__71512FBA_F010_4087_9416_50A4A596BDC7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDICOMcmDlg dialog

class CDICOMcmDlg : public CDialog
{
// Construction
public:
	CDICOMcmDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDICOMcmDlg)
	enum { IDD = IDD_DICOMCM_DIALOG };
	CListBox	m_STORESCP_FileList;
	CEdit	m_STORESCP_ReceiveDIR;
	CButton	m_STORESCP_FNSD;
	CButton	m_STORESCP_FNDT;
	CEdit	m_STORESCP_Port;
	CEdit	m_STORESCP_CallingAET;
	CEdit	m_STORESCU_RPort;
	CEdit	m_STORESCU_RIP;
	CEdit	m_STORESCU_File;
	CEdit	m_STORESCU_CallingAET;
	CEdit	m_STORESCU_CalledAET;
	CEdit	m_ECHOSCU_RPort;
	CEdit	m_ECHOSCU_CallingAET;
	CEdit	m_ECHOSCU_RIP;
	CEdit	m_ECHOSCU_CalledAET;
	CDICOMc	m_DICOMc1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDICOMcmDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDICOMcmDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnECHOSCUStart();
	afx_msg void OnOnStoreSCPReceiveFileDicomc1(LPCTSTR sReceivedFileName);
	afx_msg void OnSTORESCUStart();
	afx_msg void OnSTORESCPStart();
	afx_msg void OnSTORESCPStop();
	afx_msg void OnClose();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DICOMCMDLG_H__71512FBA_F010_4087_9416_50A4A596BDC7__INCLUDED_)
