// DICOMcmDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DICOMcm.h"
#include "DICOMcmDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDICOMcmDlg dialog

CDICOMcmDlg::CDICOMcmDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDICOMcmDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDICOMcmDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CDICOMcmDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDICOMcmDlg)
	DDX_Control(pDX, IDC_STORESCP_FileList, m_STORESCP_FileList);
	DDX_Control(pDX, IDC_STORESCP_ReceiveDIR, m_STORESCP_ReceiveDIR);
	DDX_Control(pDX, IDC_STORESCP_FNSD, m_STORESCP_FNSD);
	DDX_Control(pDX, IDC_STORESCP_FNDT, m_STORESCP_FNDT);
	DDX_Control(pDX, IDC_STORESCP_Port, m_STORESCP_Port);
	DDX_Control(pDX, IDC_STORESCP_CallingAET, m_STORESCP_CallingAET);
	DDX_Control(pDX, IDC_STORESCU_RPort, m_STORESCU_RPort);
	DDX_Control(pDX, IDC_STORESCU_RIP, m_STORESCU_RIP);
	DDX_Control(pDX, IDC_STORESCU_File, m_STORESCU_File);
	DDX_Control(pDX, IDC_STORESCU_CallingAET, m_STORESCU_CallingAET);
	DDX_Control(pDX, IDC_STORESCU_CalledAET, m_STORESCU_CalledAET);
	DDX_Control(pDX, IDC_ECHOSCU_RPort, m_ECHOSCU_RPort);
	DDX_Control(pDX, IDC_ECHOSCU_CallingAET, m_ECHOSCU_CallingAET);
	DDX_Control(pDX, IDC_ECHOSCU_RIP, m_ECHOSCU_RIP);
	DDX_Control(pDX, IDC_ECHOSCU_CalledAET, m_ECHOSCU_CalledAET);
	DDX_Control(pDX, IDC_DICOMC1, m_DICOMc1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDICOMcmDlg, CDialog)
	//{{AFX_MSG_MAP(CDICOMcmDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_ECHOSCU_Start, OnECHOSCUStart)
	ON_BN_CLICKED(IDC_STORESCU_Start, OnSTORESCUStart)
	ON_BN_CLICKED(IDC_STORESCP_Start, OnSTORESCPStart)
	ON_BN_CLICKED(IDC_STORESCP_Stop, OnSTORESCPStop)
	ON_WM_CLOSE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDICOMcmDlg message handlers

BOOL CDICOMcmDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here


	CButton* pButtonItem = (CButton*)GetDlgItem(IDC_ECHOSCU_Start);
	pButtonItem->SetWindowText(_T("StartEcho"));
	
	m_ECHOSCU_CalledAET.SetWindowText(_T("RINGPACS"));
	m_ECHOSCU_CallingAET.SetWindowText(_T("DCM_VC"));
	m_ECHOSCU_RIP.SetWindowText(_T("test1.dicom3.cn"));
	m_ECHOSCU_RPort.SetWindowText(_T("1040"));

	m_STORESCU_CalledAET.SetWindowText(_T("RINGPACS"));
	m_STORESCU_CallingAET.SetWindowText(_T("DCM_VC"));
	m_STORESCU_RIP.SetWindowText(_T("test1.dicom3.cn"));
	m_STORESCU_RPort.SetWindowText(_T("1040"));
	char szFileDir[120]; 
	GetCurrentDirectory(120, szFileDir);
	char scFileName[256];
	sprintf(scFileName, "%s\\%s", szFileDir,"DCMFILE.DCM");
	m_STORESCU_File.SetWindowText(_T(scFileName) );
	m_STORESCP_CallingAET.SetWindowText(_T("DCM_VC"));
	m_STORESCP_ReceiveDIR.SetWindowText(_T("D:\\DCM"));
	m_STORESCP_Port.SetWindowText(_T("104"));

	m_STORESCP_FNDT.SetCheck(1);
	m_STORESCP_FNSD.SetCheck(1);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDICOMcmDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDICOMcmDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDICOMcmDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CDICOMcmDlg::OnECHOSCUStart() 
{
	// TODO: Add your control notification handler code here
	char chRIP[254], chRPort[254], chCalledAET[254], chCallingAET[254];
	long iPort;

	m_ECHOSCU_RIP.GetWindowText(chRIP,254);
	m_ECHOSCU_RPort.GetWindowText(chRPort,254);
	m_ECHOSCU_CalledAET.GetWindowText(chCalledAET,254);
	m_ECHOSCU_CallingAET.GetWindowText(chCallingAET,254);

	iPort = atol(chRPort);
	if (m_DICOMc1.StartEchoSCU(chRIP, iPort, chCalledAET, chCallingAET))
		MessageBox("EchoSCU OK");
	else
		MessageBox("EchoSCU Failed");
}

BEGIN_EVENTSINK_MAP(CDICOMcmDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CDICOMcmDlg)
	ON_EVENT(CDICOMcmDlg, IDC_DICOMC1, 201 /* OnStoreSCPReceiveFile */, OnOnStoreSCPReceiveFileDicomc1, VTS_BSTR)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CDICOMcmDlg::OnOnStoreSCPReceiveFileDicomc1(LPCTSTR sReceivedFileName) 
{
	// TODO: Add your control notification handler code here
	m_STORESCP_FileList.AddString(sReceivedFileName);
}

void CDICOMcmDlg::OnSTORESCUStart() 
{
	// TODO: Add your control notification handler code here
	char chRIP[254], chRPort[254], chCalledAET[254], chCallingAET[254], chFileName[254];
	long iPort;

	m_STORESCU_RIP.GetWindowText(chRIP,254);
	m_STORESCU_RPort.GetWindowText(chRPort,254);
	m_STORESCU_CalledAET.GetWindowText(chCalledAET,254);
	m_STORESCU_CallingAET.GetWindowText(chCallingAET,254);
	m_STORESCU_File.GetWindowText(chFileName,254);

	iPort = atol(chRPort);
	if (m_DICOMc1.StartStoreSCU(chFileName, chRIP, iPort, chCalledAET, chCallingAET))
		MessageBox("StoreSCU OK");
	else
		MessageBox("StoreSCU Failed");	
}

void CDICOMcmDlg::OnSTORESCPStart() 
{
	// TODO: Add your control notification handler code here
	
	char chDIR[254], chPort[254], chCallingAET[254];
	long iPort;
	int iCheck;

	m_STORESCP_ReceiveDIR.GetWindowText(chDIR,254);
	m_STORESCP_Port.GetWindowText(chPort,254);
	m_STORESCP_CallingAET.GetWindowText(chCallingAET,254);
	
	iCheck = m_STORESCP_FNDT.GetCheck();
	if (iCheck==1)
		m_DICOMc1.SetStoreSCPSaveFileAsDateTime(true);
	else
		m_DICOMc1.SetStoreSCPSaveFileAsDateTime(false);

	iCheck = m_STORESCP_FNDT.GetCheck();
	if (iCheck==1)
		m_DICOMc1.SetStoreSCPSaveFileInSubDir(true);
	else
		m_DICOMc1.SetStoreSCPSaveFileInSubDir(false);


	iPort = atol(chPort);
	if (m_DICOMc1.StartStoreSCP(iPort, chCallingAET, chDIR))
		MessageBox("StoreSCP Start OK");
	else
		MessageBox("StoreSCP Start Failed");	

}

void CDICOMcmDlg::OnSTORESCPStop() 
{
	// TODO: Add your control notification handler code here
	if (m_DICOMc1.StopStoreSCP())
		MessageBox("StoreSCP Stopped Sucess");
	else
		MessageBox("Stop StoreSCP Failed");	
}

void CDICOMcmDlg::OnClose() 
{
	// TODO: Add your message handler code here and/or call default
	m_DICOMc1.StopStoreSCP();

	CDialog::OnClose();
}
